# Interface IFacetValueSuggestionRow

Used to define a row returned by an `IFacetValueSuggestionsProvider`.

## Index

### Properties

- field
- keyword
- numberOfResults
- score
- value

## Properties

### field

field: IFieldOption

- Defined in ui/FacetValueSuggestions/FacetValueSuggestionsProvider.ts :33

The field that was used for the suggestions.

### keyword

keyword: IQuerySuggestionKeyword

- Defined in ui/FacetValueSuggestions/FacetValueSuggestionsProvider.ts :29

The keyword that was used in the query to retrieve results.

### numberOfResults

numberOfResults: number

- Defined in ui/FacetValueSuggestions/FacetValueSuggestionsProvider.ts :25

The number of results matching the value for the given keyword.

### score

score: IFacetValueSuggestionScore

- Defined in ui/FacetValueSuggestions/FacetValueSuggestionsProvider.ts :16

The score computed by the suggestions provider.

A higher score means the results is more relevant.

### value

value: string

- Defined in ui/FacetValueSuggestions/FacetValueSuggestionsProvider.ts :21

The field value returned by the suggestion that should be used to filter the results.

### Hierarchy

- IFacetValueSuggestionRow